Summary: Filesystem benchmarking utility
Name: iozone
Version: 3
Release: 5%{?dist}
License: Freeware
Group: Applications/Engineering
URL:	http://www.iozone.org
Source: http://www.iozone.org/src/current/%{name}%{version}_239.tar
Buildroot: %{_tmppath}/%{name}%{version}_239-root-%(%{__id_u} -n) 
Requires: gnuplot

Patch0: iozone-gnplot-fixup.patch
Patch1: iozone-optimization-reduction.patch

%description
IOzone is a filesystem benchmark tool. The benchmark generates and 
measures a variety of file operations. Iozone has been ported to 
many machines and runs under many operating systems.

Iozone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread ,mmap, aio_read, aio_write.


%prep

%setup -n iozone3_239 
%patch0 -p1
%patch1 -p1 

%build
cd src/current
make linux
cd ../..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/usr/share/iozone
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

install -p src/current/iozone $RPM_BUILD_ROOT/%{_bindir}
install -p src/current/Generate_Graphs $RPM_BUILD_ROOT/%{_bindir}
install -p src/current/gengnuplot.sh $RPM_BUILD_ROOT/%{_bindir}
install -p -m 644 src/current/gnu3d.dem $RPM_BUILD_ROOT/usr/share/iozone
install -p -m 644 docs/iozone.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
chmod 644 docs/IOzone_msword_98.pdf
chmod 644 docs/Run_rules.doc
chmod 644 src/current/Gnuplot.txt

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%doc docs/IOzone_msword_98.pdf
%doc docs/Run_rules.doc
%doc src/current/Gnuplot.txt
/usr/share/iozone/


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3-5
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Neil Horman <nhorman@redhat.com>
- Update revision for rebuild
 
* Tue May 27 2005 Neil Horman <nhorman@redhat.com>
- cleaned up spec file
- packaged for Fedora Extras

